from django.db import migrations


def delete_episodes_without_show_assignment(apps, schema_editor):
    Episode = apps.get_model("program", "Episode")
    Episode.objects.filter(show__isnull=True).delete()


class Migration(migrations.Migration):
    dependencies = [
        ("program", "0130_reverse_episode_timeslot_relationship"),
    ]

    operations = [
        migrations.RunPython(
            delete_episodes_without_show_assignment,
            migrations.RunPython.noop,
        ),
    ]
